Docs Rizler

Voice Campaign

Voice Campaign Report

GEThttps://app.rizzdial.com/api/campaign/voice/{id}/report
Voice Campaign Report
curl --request GET \
  --url https://app.rizzdial.com/api/campaign/voice/MQ==/report \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "stats": {
      "total": 10,
      "failed": 6,
      "deferred": 0,
      "successful": 4,
      "blocked_dnc": 0,
      "avg_duration": "01:12",
      "success_rate": 40,
      "contacts_reached": 8
    },
    "records": [],
    "campaign": {
      "id": "MQ==",
      "title": "Morning calls"
    },
    "pagination": {
      "to": 0,
      "from": 0,
      "total": 0,
      "per_page": 15,
      "last_page": 1,
      "current_page": 1
    }
  },
  "success": true
}

Voice Campaign Report#

Returns call totals and the call rows for a campaign.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 campaign id

per_pageintegerquery

Page size, max 100

date_fromstringquery

Inclusive start date, YYYY-MM-DD

date_tostringquery

Inclusive end date, YYYY-MM-DD

curl --request GET \
  --url https://app.rizzdial.com/api/campaign/voice/MQ==/report \
  --header 'Authorization: Bearer {{bearer_token}}'
data.stats.totalinteger

Calls in the range

data.stats.successfulinteger

Calls marked successful

data.stats.success_rateinteger

Success percentage

data.recordsobject[]

Call history rows